#pragma once

#include "SvgDocument.h"

#include <filesystem>

using Path = std::filesystem::path;

class SvgElement;

class SvgReader
{
public:
	std::unique_ptr<SvgDocument> read(const Path& path) const;

private:
	void onRoot(XmlElement* element, SvgDocument* doc) const;

	void onChild(XmlElement* element, XmlElement* svg_parent) const;
};